import { Observable } from "rxjs";
/**
 * Maps Angular HTTP status codes to more semantic errors.
 *
 * @param codeErrors mapping from status code to error
 * @returns stream which will map http error codes to passed errors
 */
export declare function throwForCodes<T>(codeErrors: {
    [status: number]: () => Error;
}): (source: Observable<T>) => Observable<T>;
